curl --location --request GET 'https://client.corrily.com/v1/products/monthly'
{
"message": "Successfully retrieved product.",
"success": true,
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10.0,
"max_px": 999.0,
"min_px": 0.0,
"baseline_id": null,
"product_trials": [],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid",
"interval": "year",
"interval_count": 1
}
],
"country_prices": [
{
"country": "ES",
"local_price": 50.0,
"currency": "EUR"
}
],
"features": [
{
"api_id": "email_sync",
"name": "Full email sync with templates, open and click tracking and group emailing",
"description": "Full email sync with templates, open and click tracking and group emailing",
"status": "active",
"type": "boolean",
"unit": null,
"group_id": 1200,
"feature_group": {
"id": 1200,
"api_id": "collaboration",
"name": "Collaboration",
"description": ""
},
"value": 0
}
]
}
Products
Get Product
Retrieve the details of a single Corrily product.
GET
/
v1
/
products
/
{product_api_id}
curl --location --request GET 'https://client.corrily.com/v1/products/monthly'
{
"message": "Successfully retrieved product.",
"success": true,
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10.0,
"max_px": 999.0,
"min_px": 0.0,
"baseline_id": null,
"product_trials": [],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid",
"interval": "year",
"interval_count": 1
}
],
"country_prices": [
{
"country": "ES",
"local_price": 50.0,
"currency": "EUR"
}
],
"features": [
{
"api_id": "email_sync",
"name": "Full email sync with templates, open and click tracking and group emailing",
"description": "Full email sync with templates, open and click tracking and group emailing",
"status": "active",
"type": "boolean",
"unit": null,
"group_id": 1200,
"feature_group": {
"id": 1200,
"api_id": "collaboration",
"name": "Collaboration",
"description": ""
},
"value": 0
}
]
}
curl --location --request GET 'https://client.corrily.com/v1/products/monthly'
{
"message": "Successfully retrieved product.",
"success": true,
"api_id": "monthly",
"name": "Monthly Product",
"base_px": 10.0,
"max_px": 999.0,
"min_px": 0.0,
"baseline_id": null,
"product_trials": [],
"integrations": [
{
"type": "stripe",
"stripe_product_id": "my_stripe_pid",
"interval": "year",
"interval_count": 1
}
],
"country_prices": [
{
"country": "ES",
"local_price": 50.0,
"currency": "EUR"
}
],
"features": [
{
"api_id": "email_sync",
"name": "Full email sync with templates, open and click tracking and group emailing",
"description": "Full email sync with templates, open and click tracking and group emailing",
"status": "active",
"type": "boolean",
"unit": null,
"group_id": 1200,
"feature_group": {
"id": 1200,
"api_id": "collaboration",
"name": "Collaboration",
"description": ""
},
"value": 0
}
]
}
Path Params
string
required
The api ID of the product.
Response
boolean
Whether or not the request completed successfully.
string
Text information about request status. In case of an error here will be a useful explanation.
string
Product’s corrily api_id
string
Product’s name
number
Product’s base price in float format
number
ID of another product, considered as “baseline”.
It is used to calculate striked price(
price_with_baseline_strike) in /v1/prices response.array
A list of connected payment integrations (Stripe, Chargebee, …)
array
array
array
A list of features connected to the product
Show child attributes
Show child attributes
object
Feature object
Show child attributes
Show child attributes
string
Feature’s corrily api_id value
string
Feature’s name
string
Feature’s description
string
Feature’s status (active, inactive)
string
Feature’s status (active, inactive)
string
Feature’s type (boolean, numeric)
string
Feature’s measurement unit. Applicable only for numeric features. For boolean features equals null
number
Feature’s threshold value. Applicable only for numeric features, for boolean always equals to 0
number
Feature’s group id
⌘I